---
sidebar_position: 11
description: Get group settings structure and other functions to work with GreenMax in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, GreenMax]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get group settings structure
 Returns the structure of group chat settings fields



`Function GetGroupSettingsStructure(Val Clear = False, Val AsMap = False) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Clear | --empty | Boolean | &#x2716; | True > structure with empty valuse, False > field descriptions at values |
  | AsMap | --map | Boolean | &#x2716; | True > returns settings fields as a mapping |

  
  Returns:  Structure Of KeyAndValue - Fields structure



```bsl title="1C:Enterprise/OneScript code example"
    Result = OPI_GreenMax.GetGroupSettingsStructure();
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint greenmax GetGroupSettingsStructure \
             --empty true
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint greenmax GetGroupSettingsStructure ^
             --empty true
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "allowParticipantsEditGroupSettings": "<allow members to change group settings>",
 "allowParticipantsPinMessages": "<allow members to pin messages>",
 "allowParticipantsAddMembers": "<allow members to add new participants>"
}
```
